Bug 226463 - devel/py-llvmlite: Add enum34 to RUN_DEPENDS
Summary: devel/py-llvmlite: Add enum34 to RUN_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2018-03-08 23:50 UTC by David Kalliecharan
Modified: 2018-03-10 23:15 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback? (dave)


Attachments
py-llvmlite.diff patch (338 bytes, patch)
2018-03-08 23:50 UTC, David Kalliecharan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kalliecharan 2018-03-08 23:50:45 UTC
Created attachment 191321 [details]
py-llvmlite.diff patch

Issue found with devel/py-llvmlite requiring both devel/py-enum34 for both {BUILD,RUN}_DEPENDS. This was tested with poudriere 11.1, 10.4 amd64.

Reported by Gleb Popov.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-09 04:10:59 UTC
Upstream lists it as an install_requires (RUN_DEPENDS) only. What is the observed issue if enum34 is not available at build time?

If it is indeed required at build time, please ask for them to add it to setup.py:setup_requires as well
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-09 04:11:38 UTC
Forgot to source upstream:

https://github.com/numba/llvmlite/blob/master/setup.py#L161
Comment 3 David Kalliecharan 2018-03-10 16:34:28 UTC
The build complains that enum34 is not available:

  File "setup.py", line 74, in run
    from llvmlite.utils import get_library_files
  File "llvmlite/__init__.py", line 6, in <module>
    raise ImportError("could not find the 'enum' module; please install "
ImportError: could not find the 'enum' module; please install it using e.g. 'p
ip install enum34'
*** Error code 1

I will contact the maintainers on github about the issue.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-03-10 23:05:35 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2018-03-10 23:05:37 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Mar 10 23:04:45 UTC 2018
New revision: 464130
URL: https://svnweb.freebsd.org/changeset/ports/464130

Log:
  Add missing RUN_DEPENDS

  - Bump PORTREVISION for dependency change

  PR:		226463
  Submitted by:	David Kalliecharan <dave@dal.ca> (maintainer)

Changes:
  head/devel/py-llvmlite/Makefile
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-03-10 23:15:07 UTC
For the record, enum34 should be removed from BUILD_DEPENDS.
David has reported it to upstream [1].

[1] https://github.com/numba/llvmlite/issues/334